# MPE_Get_mouse_press

Waits for mouse button press

## Synopsis

    #include "mpe.h"
    int MPE_Get_mouse_press( graph, x, y, button )
    MPE_XGraph graph;
    int *x, *y, *button;

## Input Parameter

graph
  MPE graphics handle

## Output Parameters

x
  horizontal coordinate of the point where the mouse button was pressed
y
  vertical coordinate of the point where the mouse button was pressed
button
  which button was pressed: 'MPE_BUTTON[1-5]'

## Notes

This routine waits for mouse button press, blocking until the mouse button is pressed inside this MPE window. When pressed, returns the coordinate relative to the upper right of this MPE window and the button that was pressed.

Location:../src/graphics/src/xmouse.c